Skip to content
Snippets Groups Projects
Commit bb6da87d authored by Masahiro Yamada's avatar Masahiro Yamada Committed by Tom Rini
Browse files

MAKEALL: adjust for Kconfig


 - Use "make <board>_defconfig" instead of "make <board>_config".

 - Invoke tools/genboardscfg.py to generate boards.cfg when it is
   missing.

 - Show "Building ${BOARD_NAME} board..." message.
   (Prior to Kconfig, instead, mkconfig script displayed
   "Configuring for ${BOARD_NAME} board..." but it was removed.)
   Without this message, we cannot know which board is currently
   being built.

 - Do not show "# configuration written to .config".
   This message is useless and just annoying for MAKEALL.

Signed-off-by: default avatarMasahiro Yamada <yamada.m@jp.panasonic.com>
Acked-by: default avatarSimon Glass <sjg@chromium.org>
parent a2580ebb
No related branches found
No related tags found
No related merge requests found
...@@ -171,6 +171,14 @@ GNU_MAKE=$(scripts/show-gnu-make) || { ...@@ -171,6 +171,14 @@ GNU_MAKE=$(scripts/show-gnu-make) || {
# echo "Remaining arguments:" # echo "Remaining arguments:"
# for arg do echo '--> '"\`$arg'" ; done # for arg do echo '--> '"\`$arg'" ; done
if [ ! -r boards.cfg ]; then
echo "Could not find boards.cfg"
tools/genboardscfg.py || {
echo "Failed to generate boards.cfg" >&2
exit 1
}
fi
FILTER="\$1 !~ /^#/" FILTER="\$1 !~ /^#/"
[ "$opt_a" ] && FILTER="${FILTER} && $opt_a" [ "$opt_a" ] && FILTER="${FILTER} && $opt_a"
[ "$opt_c" ] && FILTER="${FILTER} && $opt_c" [ "$opt_c" ] && FILTER="${FILTER} && $opt_c"
...@@ -512,9 +520,9 @@ get_target_location() { ...@@ -512,9 +520,9 @@ get_target_location() {
set ${line} set ${line}
CONFIG_NAME="${7%_config}" CONFIG_NAME="${7%_defconfig}"
[ "${BOARD_NAME}" ] || BOARD_NAME="${7%_config}" [ "${BOARD_NAME}" ] || BOARD_NAME="${7%_defconfig}"
if [ $# -gt 5 ]; then if [ $# -gt 5 ]; then
if [ "$6" = "-" ] ; then if [ "$6" = "-" ] ; then
...@@ -651,7 +659,9 @@ build_target() { ...@@ -651,7 +659,9 @@ build_target() {
fi fi
${MAKE} distclean >/dev/null ${MAKE} distclean >/dev/null
${MAKE} -s ${target}_config
echo "Building ${target} board..."
${MAKE} -s ${target}_defconfig >/dev/null
${MAKE} ${JOBS} ${CHECK} all \ ${MAKE} ${JOBS} ${CHECK} all \
>${LOG_DIR}/$target.MAKELOG 2> ${LOG_DIR}/$target.ERR >${LOG_DIR}/$target.MAKELOG 2> ${LOG_DIR}/$target.ERR
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment